MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026591Open CASCADE[OCCT] OCCT:Configurationpublic2015-08-24 10:502016-04-20 15:48
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSWindowsOS Version7
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026591: Header collecting in CMake configuration process does not consider 'patch' dir
DescriptionDuring collection all required header files into 'inc' folder, header files in 'patch' directory are not considered.
Steps To Reproducepoint a directory with patched OCCT sources using APPLY_OCCT_PATCH_DIR
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0044532)
git (administrator)
2015-08-24 10:51

Branch CR26591 has been created by ibs.

SHA-1: 9dad311ee1adf9676dcda690bcacdf396ae523ec


Detailed log of new commits:

Author: ibs
Date: Thu Aug 6 20:59:26 2015 +0300

    0026591: Header collecting in CMake configuration process does not consider 'patch' dir
    
    "patch" functionality fixed (except mfc samples)
    CMake variable descriptions updated and their width realigned
(0044571)
git (administrator)
2015-08-24 18:27

Branch CR26591 has been updated by ibs.

SHA-1: 0f65554a71fcd0207fd285d154fa43d3175b4194


Detailed log of new commits:

Author: ibs
Date: Mon Aug 24 18:26:23 2015 +0300

    occt_toolkit considers patched source files

(0044573)
git (administrator)
2015-08-24 18:38

Branch CR26591 has been updated forcibly by ibs.

SHA-1: 792e1e3107cf9768c5f720b6da6135bf410345e5
(0044574)
ibs (developer)
2015-08-24 18:40

dear skv, please review CR26591 branch of OCCT git
(0044575)
ibs (developer)
2015-08-24 18:41

occt_toolkit algorithm considers patched files now
(0044592)
ibs (developer)
2015-08-25 11:20

dear bugmaster, please integrate CR26591
(0046999)
git (administrator)
2015-10-16 16:37

Branch CR26591 has been deleted by kgv.

SHA-1: 792e1e3107cf9768c5f720b6da6135bf410345e5

- Related Changesets
occt: master f2e9c853
Timestamp: 2015-08-06 17:59:26
Author: ibs
Committer: bugmaster
Details ] Diff ]
0026591: Header collecting in CMake configuration process does not consider 'patch' dir

"patch" functionality fixed (except mfc samples)
CMake variable descriptions updated and their width realigned
mod - adm/cmake/occt_macros.cmake Diff ] File ]
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]
mod - adm/cmake/vardescr.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - dox/dev_guides/building/cmake/cmake.md Diff ] File ]
mod - src/DRAWEXE/CMakeLists.txt Diff ] File ]
mod - src/FWOSPlugin/CMakeLists.txt Diff ] File ]
mod - src/TKBin/CMakeLists.txt Diff ] File ]
mod - src/TKBinL/CMakeLists.txt Diff ] File ]
mod - src/TKBinTObj/CMakeLists.txt Diff ] File ]
mod - src/TKBinXCAF/CMakeLists.txt Diff ] File ]
mod - src/TKBO/CMakeLists.txt Diff ] File ]
mod - src/TKBool/CMakeLists.txt Diff ] File ]
mod - src/TKBRep/CMakeLists.txt Diff ] File ]
mod - src/TKCAF/CMakeLists.txt Diff ] File ]
mod - src/TKCDF/CMakeLists.txt Diff ] File ]
mod - src/TKDCAF/CMakeLists.txt Diff ] File ]
mod - src/TKDraw/CMakeLists.txt Diff ] File ]
mod - src/TKernel/CMakeLists.txt Diff ] File ]
mod - src/TKFeat/CMakeLists.txt Diff ] File ]
mod - src/TKFillet/CMakeLists.txt Diff ] File ]
mod - src/TKG2d/CMakeLists.txt Diff ] File ]
mod - src/TKG3d/CMakeLists.txt Diff ] File ]
mod - src/TKGeomAlgo/CMakeLists.txt Diff ] File ]
mod - src/TKGeomBase/CMakeLists.txt Diff ] File ]
mod - src/TKHLR/CMakeLists.txt Diff ] File ]
mod - src/TKIGES/CMakeLists.txt Diff ] File ]
mod - src/TKIVtk/CMakeLists.txt Diff ] File ]
mod - src/TKIVtkDraw/CMakeLists.txt Diff ] File ]
mod - src/TKLCAF/CMakeLists.txt Diff ] File ]
mod - src/TKMath/CMakeLists.txt Diff ] File ]
mod - src/TKMesh/CMakeLists.txt Diff ] File ]
mod - src/TKMeshVS/CMakeLists.txt Diff ] File ]
mod - src/TKOffset/CMakeLists.txt Diff ] File ]
mod - src/TKOpenGl/CMakeLists.txt Diff ] File ]
mod - src/TKPrim/CMakeLists.txt Diff ] File ]
mod - src/TKQADraw/CMakeLists.txt Diff ] File ]
mod - src/TKService/CMakeLists.txt Diff ] File ]
mod - src/TKShHealing/CMakeLists.txt Diff ] File ]
mod - src/TKSTEP/CMakeLists.txt Diff ] File ]
mod - src/TKSTEP209/CMakeLists.txt Diff ] File ]
mod - src/TKSTEPAttr/CMakeLists.txt Diff ] File ]
mod - src/TKSTEPBase/CMakeLists.txt Diff ] File ]
mod - src/TKSTL/CMakeLists.txt Diff ] File ]
mod - src/TKTObj/CMakeLists.txt Diff ] File ]
mod - src/TKTObjDRAW/CMakeLists.txt Diff ] File ]
mod - src/TKTopAlgo/CMakeLists.txt Diff ] File ]
mod - src/TKTopTest/CMakeLists.txt Diff ] File ]
mod - src/TKV3d/CMakeLists.txt Diff ] File ]
mod - src/TKViewerTest/CMakeLists.txt Diff ] File ]
mod - src/TKVoxel/CMakeLists.txt Diff ] File ]
mod - src/TKVRML/CMakeLists.txt Diff ] File ]
mod - src/TKXCAF/CMakeLists.txt Diff ] File ]
mod - src/TKXDEDRAW/CMakeLists.txt Diff ] File ]
mod - src/TKXDEIGES/CMakeLists.txt Diff ] File ]
mod - src/TKXDESTEP/CMakeLists.txt Diff ] File ]
mod - src/TKXMesh/CMakeLists.txt Diff ] File ]
mod - src/TKXml/CMakeLists.txt Diff ] File ]
mod - src/TKXmlL/CMakeLists.txt Diff ] File ]
mod - src/TKXmlTObj/CMakeLists.txt Diff ] File ]
mod - src/TKXmlXCAF/CMakeLists.txt Diff ] File ]
mod - src/TKXSBase/CMakeLists.txt Diff ] File ]
mod - src/TKXSDRAW/CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-24 10:50 ibs New Issue
2015-08-24 10:50 ibs Assigned To => ibs
2015-08-24 10:51 git Note Added: 0044532
2015-08-24 15:29 ibs Status new => resolved
2015-08-24 15:29 ibs Steps to Reproduce Updated View Revisions
2015-08-24 18:27 git Note Added: 0044571
2015-08-24 18:38 git Note Added: 0044573
2015-08-24 18:40 ibs Note Added: 0044574
2015-08-24 18:40 ibs Assigned To ibs => skv
2015-08-24 18:40 ibs Status resolved => reviewed
2015-08-24 18:40 ibs Status reviewed => assigned
2015-08-24 18:40 ibs Status assigned => resolved
2015-08-24 18:41 ibs Note Added: 0044575
2015-08-25 11:20 ibs Note Added: 0044592
2015-08-25 11:20 ibs Assigned To skv => bugmaster
2015-08-25 11:20 ibs Status resolved => reviewed
2015-09-03 12:27 bugmaster Status reviewed => tested
2015-09-04 13:02 bugmaster Changeset attached => occt master f2e9c853
2015-09-04 13:02 bugmaster Status tested => verified
2015-09-04 13:02 bugmaster Resolution open => fixed
2015-10-16 16:37 git Note Added: 0046999
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker